Bug 584728 (rktime) - Review Request: rktime - Multi-zone time display utility
Summary: Review Request: rktime - Multi-zone time display utility
Status: CLOSED ERRATA
Alias: rktime
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-22 09:53 UTC by Mohammed Imran
Modified: 2010-06-22 04:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-22 04:44:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mohammed Imran 2010-04-22 09:53:41 UTC
Spec URL: http://github.com/downloads/matriux/fedora/rktime.spec
SRPM URL: http://github.com/downloads/matriux/fedora/rktime-0.6-1.fc11.src.rpm

Description:
rktime is a command-line utility which displays the time
in multiple timezones in an easy-to-read way, using color
to help indicate which locations are currently in business
hours.

Rpmlint
=========

[imran@localhost SPECS]$ rpmlint rktime.spec ../SRPMS/rktime-0.6-1.fc11.src.rpm  ../RPMS/noarch/rktime-0.6-1.fc11.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Parag AN(पराग) 2010-04-28 03:36:00 UTC
1) I don't think you need to write 
Requires:       sh-utils
as its very core package and you will find it already installed on your system.

2) Correct the macro style usage. See https://fedoraproject.org/wiki/Packaging/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS
And 
See https://fedoraproject.org/wiki/Packaging:RPMMacros

3) License should be GPLv2

Comment 3 Parag AN(पराग) 2010-05-03 11:03:41 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2157338
+ rpmlint is silent for SRPM and for RPM.
rktime.src: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
rktime.src: W: spelling-error %description -l en_US timezones -> timezone, time zones, time-zones
rktime.noarch: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
rktime.noarch: W: spelling-error %description -l en_US timezones -> timezone, time zones, time-zones
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
==> Ignore these messages.

+ source files match upstream url (sha1sum)
78e26fd538872ea11b4cf610016128ae0c934d4e  rktime-0.6.tgz

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

APPROVED.

Comment 4 Parag AN(पराग) 2010-05-04 10:50:43 UTC
I see you have done good reviews. So I am going to sponsor you now and therefore removing FE-NEEDSPONSOR.

Comment 5 Mohammed Imran 2010-05-05 05:32:56 UTC
Thanks

New Package CVS Request
=======================
Package Name: dnsenum
Short Description: A tool to enumerate DNS info about domains
Owners: matriux
Branches: F-12 F-13
InitialCC:

Comment 6 Mohammed Imran 2010-05-05 05:33:47 UTC
New Package CVS Request
=======================
Package Name: rktime
Short Description: Multi-zone time display utility
Owners: matriux
Branches: F-12 F-13
InitialCC:

Comment 7 Kevin Fenzi 2010-05-06 15:44:50 UTC
CVS done (by process-cvs-requests.py).

Comment 8 Parag AN(पराग) 2010-06-18 03:21:39 UTC
I think this package is already built for requested branches. Any reason for not closing this review?

Comment 9 Mohammed Imran 2010-06-22 04:44:16 UTC
Hi Parag,

       Closing it now,thanks


Note You need to log in before you can comment on or make changes to this bug.